# SolrDocument::valid

(PECL solr >= 0.9.2)

SolrDocument::valid — Checks if the current position internally is still valid

### Description

public SolrDocument::valid ( void ) : bool

Checks if the current position internally is still valid. It is used during foreach operations.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success and `FALSE` if the current position is no longer valid.